%%xmajor04
%%221002
close all
clear
clc

tf ='p';
b=0.45; %účinnost výměníku
T=700; %časová konstanta
T0=25.335; %počáteční teplota v potrubích
% K=21,19; %zesílení systému
k=1; %zesílení regulátoru - proporcionální regulátor
F = k/(T*tf+1);

V_a_T_prubehy = readmatrix('V_a_T_prubehy_ver2.csv');
cas=V_a_T_prubehy(:,1);
V1=V_a_T_prubehy(:,3);
V2=V_a_T_prubehy(:,4);
T1=V_a_T_prubehy(:,5);
T2=V_a_T_prubehy(:,6);
T3=V_a_T_prubehy(:,7);
T4=V_a_T_prubehy(:,8);

figure
plot(cas,T4);
xlabel('t [sec]');
ylabel('T [C]');
legend('T4');

figure(2)
plot(cas,T1,cas,T2,cas,T3,cas,T4,cas,V1,cas,V2);
title('Graf naměřeného průběhu regulace');
xlabel('t [sec]');
ylabel('T [C] / Otevření [%]');
axis([0 8000 0 80])
legend('T1','T2','T3','T4','V1','V2')
grid on

figure(3)
out = sim('vymenik_simulace');
plot(out.simout);
title('Graf nasimulovaného průběhu regulace');
xlabel('t [sec]');
ylabel('T [C] / Otevření [%]');
axis([0 10000 20 90])
legend('Teplota za V1','T1','T2','T3','T4','V2');
grid on













